/* $ID: plugin_sharp_csguard.sma by Sharpsniper $ */

/* You may want to edit some commands in this plugin */

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

#define ACCESS_CSGUARD 8192 /* Access level to use the CSGuard Commands */

new STRING_VERSION[MAX_DATA_LENGTH] = "2.50.0";
/********************************************************************************************/
/********************************YOU CAN EDIT COMMANDS UNDER HERE**********************/
new LogFile[]="csg_change.log";
new csgfile[]="csgconfig.cfg";

// Log the commands added to CSGuard
// 1 = Enables the Log
// 0 = Disables the Log
new Log = 1; 

// Restart to load the new CSGuard Settings
// 1 = Enables restarting map to load settings
// 0 = Disables restarting map to load settings, and wait for map to change to load them
new Restart_To_Load = 1;

// Restart time Only if Restart_To_load is 1
// This is set in seconds its default at 3 seconds
// Max Time: 10
// Min Time: 1
new RestartTime = 3;

// Use Default CSGuard Config File or use the plugin log file
// 1 = Uses New File
// 0 = Uses Old File
new NewFile = 0;

// New File Name
// This is useful if you want to know what new cheat checks have been added
new new_config[]="new_csgconfig.cfg";
/********************************************************************************************/
/********************************YOU CAN EDIT COMMANDS ABOVE HERE**********************/

public admin_csgcheck(HLCommand,HLData,HLUser,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
	new Data[MAX_DATA_LENGTH];
	new User[MAX_NAME_LENGTH];
	new Text[MAX_TEXT_LENGTH];
	new Cmd[MAX_DATA_LENGTH];

	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUser,User,MAX_NAME_LENGTH);

	if (NewFile != 0) {
	snprintf(Text, MAX_TEXT_LENGTH, "^ncsg_check %s^n", Data);
	writefile(new_config, Text);
	} else {
	snprintf(Text, MAX_TEXT_LENGTH, "^ncsg_check %s^n", Data);
	writefile(csgfile, Text);
}
	if (Log != 0) {
	snprintf(Text, MAX_TEXT_LENGTH, "[Command: %s][User: %s][Result: Added a new Cheat Check (%s)]", Command, User, Data);
	writefile(LogFile, Text);
}
	if (Restart_To_Load != 0) {
	snprintf(Cmd, MAX_DATA_LENGTH, "sv_restartround %s", RestartTime);
	exec(Cmd);
	}
	return PLUGIN_HANDLED;
}

public plugin_init() {
	plugin_registerinfo("Sharpsniper's CSGuard Plugin v1.0","Add Cheat Checks right from the console!",STRING_VERSION);
	
	plugin_registercmd("admin_csgcheck","admin_csgcheck",ACCESS_CSGUARD,"admin_csgcheck : Adds a cheat for CSGuard to check, Make sure you know how CSG works.");
	return PLUGIN_CONTINUE; 
}